
########## Tcl recorder starts at 12/27/04 04:50:55 ##########

set version "4.2"
set proj_dir "C:/gamecube/ipl"
cd $proj_dir

# Get directory paths
set pver $version
regsub -all {\.} $pver {_} pver
set lscfile "lsc_"
append lscfile $pver ".ini"
set lsvini_dir [lindex [array get env LSC_INI_PATH] 1]
set lsvini_path [file join $lsvini_dir $lscfile]
if {[catch {set fid [open $lsvini_path]} msg]} {
	 puts "File Open Error: $lsvini_path"
	 return false
} else {set data [read $fid]; close $fid }
foreach line [split $data '\n'] { 
	set lline [string tolower $line]
	set lline [string trim $lline]
	if {[string compare $lline "\[paths\]"] == 0} { set path 1; continue}
	if {$path && [regexp {^\[} $lline]} {set path 0; break}
	if {$path && [regexp {^bin} $lline]} {set cpld_bin $line; continue}
	if {$path && [regexp {^fpgapath} $lline]} {set fpga_dir $line}}

set cpld_bin [string range $cpld_bin [expr [string first "=" $cpld_bin]+1] end]
regsub -all "\"" $cpld_bin "" cpld_bin
set cpld_bin [file join $cpld_bin]
set install_dir [string range $cpld_bin 0 [expr [string first "ispcpld" $cpld_bin]-2]]
regsub -all "\"" $install_dir "" install_dir
set install_dir [file join $install_dir]
set fpga_dir [string range $fpga_dir [expr [string first "=" $fpga_dir]+1] end]
regsub -all "\"" $fpga_dir "" fpga_dir
set fpga_dir [file join $fpga_dir]

switch $tcl_platform(platform) {
   windows {
      set fpga_bin [file join $fpga_dir "bin" "nt"]
	     if {[string match "*$fpga_bin;*" $env(PATH)] == 0 } {
	        set env(PATH) "$fpga_bin;$env(PATH)" } }
   unix {
      set fpga_bin [file join $fpga_dir "bin" "sol"]
      if {[string match "*$fpga_bin;*" $env(PATH)] == 0 } {
         set env(PATH) "$fpga_bin;$env(PATH)"}}}

if {[string match "*$cpld_bin;*" $env(PATH)] == 0 } {
   set env(PATH) "$cpld_bin;$env(PATH)" }

lappend auto_path [file join $install_dir "ispcpld" "tcltk" "lib" "ispwidget" "runproc"]
package require runcmd

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ipl.vhd -o ipl.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/27/04 04:50:55 ###########


########## Tcl recorder starts at 12/27/04 04:50:58 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ipl.vhd -o ipl.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/27/04 04:50:58 ###########


########## Tcl recorder starts at 12/27/04 04:52:13 ##########

# Commands to make the Process: 
# Optimization Constraint
if [catch {open gc_ipl.rs1 w} rspFile] {
	puts stderr "Cannot create response file gc_ipl.rs1: $rspFile"
} else {
	puts $rspFile "{ipl.vhd} gc_ipl.edi -output_format EDIF -target mach4 -logfile gc_ipl.log -area
-product=ls1
"
	close $rspFile
}
if [runCmd "\"$install_dir/spectrum/bin/win32/spectrum\" -command_file gc_ipl.rs1"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/edif2blf\" -edf gc_ipl.edi -out gc_ipl.bl0 -err automake.err -log gc_ipl.log -prj ipl -lib \"$install_dir/ispcpld/dat/mach.edn\" -sym_vcc vcc -sym_gnd gnd -nbx -cvt yes -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" gc_ipl.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"gc_ipl.bl1\" -o \"ipl.bl2\" -omod \"ipl\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj ipl -lci ipl.lct -log ipl.imp -err automake.err -tti ipl.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Optimization Constraint
if [catch {open opt_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file opt_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-global -lci ipl.lct -touch ipl.imp
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/optedit\" @opt_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/27/04 04:52:13 ###########


########## Tcl recorder starts at 12/27/04 04:52:34 ##########

# Commands to make the Process: 
# Constraint Editor
if [runCmd "\"$cpld_bin/abelvci\" -vci ipl.lct -blifopt  ipl.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" ipl.bl2 -sweep -mergefb -err automake.err -o ipl.bl3  @ipl.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci ipl.lct -dev mach4a -diofft  ipl.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" ipl.bl3 -pla -family amdmach -idev van -o ipl.tt2 -oxrf ipl.xrf -err automake.err  @ipl.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/tt2tott3\" -prj ipl -dir $proj_dir -log ipl.log -tti ipl.tt2 -tto ipl.tt3"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci ipl.lct -dev mach4a -prefit  ipl.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -inp ipl.tt3 -out ipl.tt4 -err automake.err -log ipl.log -percent ipl.tte -mod gc_ipl  @ipl.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-src ipl.tt4 -type PLA -devfile \"$install_dir/ispcpld/dat/mach4a/mach447ace.dev\" -lci \"ipl.lct\" -touch \"ipl.tt4\"
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/27/04 04:52:34 ###########


########## Tcl recorder starts at 12/27/04 04:55:27 ##########

# Commands to make the Process: 
# Constraint Editor
# - none -
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-src ipl.tt4 -type PLA -devfile \"$install_dir/ispcpld/dat/mach4a/mach447ace.dev\" -lci \"ipl.lct\" -touch \"ipl.tt4\"
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/27/04 04:55:27 ###########


########## Tcl recorder starts at 12/27/04 04:55:49 ##########

# Commands to make the Process: 
# JEDEC File
if [runCmd "\"$cpld_bin/blif2eqn\" ipl.tte -o ipl.eq3 -use_short -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/lci2vci\" -lci ipl.lct -out ipl.vct -log ipl.l2v"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open ipl.rsp w} rspFile] {
	puts stderr "Cannot create response file ipl.rsp: $rspFile"
} else {
	puts $rspFile "-inp \"ipl.tt4\" -vci \"ipl.vct\" -log \"ipl.log\" -eqn \"ipl.eq3\" -dev mach447a -dat \"$install_dir/ispcpld/dat/mach4a/\" -msg \"$install_dir/ispcpld/dat/\" -err automake.err -tmv \"noinput.tmv\" 
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/machfitr\" \"@ipl.rsp\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete ipl.rsp
if [runCmd "\"$cpld_bin/lci2vci\" -vci ipl.vco -out ipl.lco -log ipl.v2l"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj ipl -if ipl.jed -j2s -log ipl.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/27/04 04:55:49 ###########


########## Tcl recorder starts at 12/27/04 04:58:04 ##########

# Commands to make the Process: 
# Optimization Constraint
# - none -
# Application to view the Process: 
# Optimization Constraint
if [catch {open opt_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file opt_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-global -lci ipl.lct -touch ipl.imp
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/optedit\" @opt_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/27/04 04:58:04 ###########


########## Tcl recorder starts at 12/27/04 04:58:20 ##########

# Commands to make the Process: 
# JEDEC File
if [runCmd "\"$cpld_bin/abelvci\" -vci ipl.lct -blifopt  ipl.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" ipl.bl2 -sweep -mergefb -err automake.err -o ipl.bl3  @ipl.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci ipl.lct -dev mach4a -diofft  ipl.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" ipl.bl3 -pla -family amdmach -idev van -o ipl.tt2 -oxrf ipl.xrf -err automake.err  @ipl.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/tt2tott3\" -prj ipl -dir $proj_dir -log ipl.log -tti ipl.tt2 -tto ipl.tt3"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci ipl.lct -dev mach4a -prefit  ipl.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -inp ipl.tt3 -out ipl.tt4 -err automake.err -log ipl.log -percent ipl.tte -mod gc_ipl  @ipl.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blif2eqn\" ipl.tte -o ipl.eq3 -use_short -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/lci2vci\" -lci ipl.lct -out ipl.vct -log ipl.l2v"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open ipl.rsp w} rspFile] {
	puts stderr "Cannot create response file ipl.rsp: $rspFile"
} else {
	puts $rspFile "-inp \"ipl.tt4\" -vci \"ipl.vct\" -log \"ipl.log\" -eqn \"ipl.eq3\" -dev mach447a -dat \"$install_dir/ispcpld/dat/mach4a/\" -msg \"$install_dir/ispcpld/dat/\" -err automake.err -tmv \"noinput.tmv\" 
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/machfitr\" \"@ipl.rsp\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete ipl.rsp
if [runCmd "\"$cpld_bin/lci2vci\" -vci ipl.vco -out ipl.lco -log ipl.v2l"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj ipl -if ipl.jed -j2s -log ipl.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/27/04 04:58:20 ###########


########## Tcl recorder starts at 12/27/04 21:38:30 ##########

# Commands to make the Process: 
# Constraint Editor
# - none -
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-src ipl.tt4 -type PLA -devfile \"$install_dir/ispcpld/dat/mach4a/mach447ace.dev\" -lci \"ipl.lct\" -touch \"ipl.tt4\"
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/27/04 21:38:30 ###########


########## Tcl recorder starts at 12/27/04 21:43:38 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ipl.vhd -o ipl.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/27/04 21:43:38 ###########


########## Tcl recorder starts at 12/27/04 21:43:43 ##########

# Commands to make the Process: 
# JEDEC File
if [catch {open gc_ipl.rs1 w} rspFile] {
	puts stderr "Cannot create response file gc_ipl.rs1: $rspFile"
} else {
	puts $rspFile "{ipl.vhd} gc_ipl.edi -output_format EDIF -target mach4 -logfile gc_ipl.log -area
-product=ls1
"
	close $rspFile
}
if [runCmd "\"$install_dir/spectrum/bin/win32/spectrum\" -command_file gc_ipl.rs1"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/edif2blf\" -edf gc_ipl.edi -out gc_ipl.bl0 -err automake.err -log gc_ipl.log -prj ipl -lib \"$install_dir/ispcpld/dat/mach.edn\" -sym_vcc vcc -sym_gnd gnd -nbx -cvt yes -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" gc_ipl.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"gc_ipl.bl1\" -o \"ipl.bl2\" -omod \"ipl\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj ipl -lci ipl.lct -log ipl.imp -err automake.err -tti ipl.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci ipl.lct -blifopt  ipl.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" ipl.bl2 -sweep -mergefb -err automake.err -o ipl.bl3  @ipl.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci ipl.lct -dev mach4a -diofft  ipl.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" ipl.bl3 -pla -family amdmach -idev van -o ipl.tt2 -oxrf ipl.xrf -err automake.err  @ipl.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/tt2tott3\" -prj ipl -dir $proj_dir -log ipl.log -tti ipl.tt2 -tto ipl.tt3"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci ipl.lct -dev mach4a -prefit  ipl.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -inp ipl.tt3 -out ipl.tt4 -err automake.err -log ipl.log -percent ipl.tte -mod gc_ipl  @ipl.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blif2eqn\" ipl.tte -o ipl.eq3 -use_short -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/lci2vci\" -lci ipl.lct -out ipl.vct -log ipl.l2v"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open ipl.rsp w} rspFile] {
	puts stderr "Cannot create response file ipl.rsp: $rspFile"
} else {
	puts $rspFile "-inp \"ipl.tt4\" -vci \"ipl.vct\" -log \"ipl.log\" -eqn \"ipl.eq3\" -dev mach447a -dat \"$install_dir/ispcpld/dat/mach4a/\" -msg \"$install_dir/ispcpld/dat/\" -err automake.err -tmv \"noinput.tmv\" 
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/machfitr\" \"@ipl.rsp\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete ipl.rsp
if [runCmd "\"$cpld_bin/lci2vci\" -vci ipl.vco -out ipl.lco -log ipl.v2l"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj ipl -if ipl.jed -j2s -log ipl.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/27/04 21:43:43 ###########


########## Tcl recorder starts at 12/27/04 21:44:13 ##########

# Commands to make the Process: 
# Generate Schematic Symbol
if [runCmd "\"$cpld_bin/naf2sym\" gc_ipl"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/27/04 21:44:13 ###########


########## Tcl recorder starts at 12/27/04 21:44:17 ##########

# Commands to make the Process: 
# Hierarchy Browser
# - none -
# Application to view the Process: 
# Hierarchy Browser
if [runCmd "\"$cpld_bin/hierbro\" ipl.jid  gc_ipl"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/27/04 21:44:17 ###########


########## Tcl recorder starts at 12/27/04 21:45:32 ##########

# Commands to make the Process: 
# Constraint Editor
# - none -
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-src ipl.tt4 -type PLA -devfile \"$install_dir/ispcpld/dat/mach4a/mach447ace.dev\" -lci \"ipl.lct\" -touch \"ipl.tt4\"
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/27/04 21:45:32 ###########


########## Tcl recorder starts at 12/27/04 22:06:11 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ipl.vhd -o ipl.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/27/04 22:06:11 ###########


########## Tcl recorder starts at 12/28/04 00:17:32 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ipl.vhd -o ipl.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/28/04 00:17:32 ###########


########## Tcl recorder starts at 12/28/04 00:17:36 ##########

# Commands to make the Process: 
# JEDEC File
if [catch {open gc_ipl.rs1 w} rspFile] {
	puts stderr "Cannot create response file gc_ipl.rs1: $rspFile"
} else {
	puts $rspFile "{ipl.vhd} gc_ipl.edi -output_format EDIF -target mach4 -logfile gc_ipl.log -area
-product=ls1
"
	close $rspFile
}
if [runCmd "\"$install_dir/spectrum/bin/win32/spectrum\" -command_file gc_ipl.rs1"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/edif2blf\" -edf gc_ipl.edi -out gc_ipl.bl0 -err automake.err -log gc_ipl.log -prj ipl -lib \"$install_dir/ispcpld/dat/mach.edn\" -sym_vcc vcc -sym_gnd gnd -nbx -cvt yes -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" gc_ipl.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"gc_ipl.bl1\" -o \"ipl.bl2\" -omod \"ipl\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj ipl -lci ipl.lct -log ipl.imp -err automake.err -tti ipl.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci ipl.lct -blifopt  ipl.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" ipl.bl2 -sweep -mergefb -err automake.err -o ipl.bl3  @ipl.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci ipl.lct -dev mach4a -diofft  ipl.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" ipl.bl3 -pla -family amdmach -idev van -o ipl.tt2 -oxrf ipl.xrf -err automake.err  @ipl.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/tt2tott3\" -prj ipl -dir $proj_dir -log ipl.log -tti ipl.tt2 -tto ipl.tt3"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci ipl.lct -dev mach4a -prefit  ipl.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -inp ipl.tt3 -out ipl.tt4 -err automake.err -log ipl.log -percent ipl.tte -mod gc_ipl  @ipl.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blif2eqn\" ipl.tte -o ipl.eq3 -use_short -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/lci2vci\" -lci ipl.lct -out ipl.vct -log ipl.l2v"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open ipl.rsp w} rspFile] {
	puts stderr "Cannot create response file ipl.rsp: $rspFile"
} else {
	puts $rspFile "-inp \"ipl.tt4\" -vci \"ipl.vct\" -log \"ipl.log\" -eqn \"ipl.eq3\" -dev mach447a -dat \"$install_dir/ispcpld/dat/mach4a/\" -msg \"$install_dir/ispcpld/dat/\" -err automake.err -tmv \"noinput.tmv\" 
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/machfitr\" \"@ipl.rsp\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete ipl.rsp
if [runCmd "\"$cpld_bin/lci2vci\" -vci ipl.vco -out ipl.lco -log ipl.v2l"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj ipl -if ipl.jed -j2s -log ipl.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/28/04 00:17:36 ###########


########## Tcl recorder starts at 12/28/04 00:17:59 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ipl.vhd -o ipl.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/28/04 00:17:59 ###########


########## Tcl recorder starts at 12/28/04 00:18:02 ##########

# Commands to make the Process: 
# JEDEC File
if [catch {open gc_ipl.rs1 w} rspFile] {
	puts stderr "Cannot create response file gc_ipl.rs1: $rspFile"
} else {
	puts $rspFile "{ipl.vhd} gc_ipl.edi -output_format EDIF -target mach4 -logfile gc_ipl.log -area
-product=ls1
"
	close $rspFile
}
if [runCmd "\"$install_dir/spectrum/bin/win32/spectrum\" -command_file gc_ipl.rs1"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/edif2blf\" -edf gc_ipl.edi -out gc_ipl.bl0 -err automake.err -log gc_ipl.log -prj ipl -lib \"$install_dir/ispcpld/dat/mach.edn\" -sym_vcc vcc -sym_gnd gnd -nbx -cvt yes -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" gc_ipl.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"gc_ipl.bl1\" -o \"ipl.bl2\" -omod \"ipl\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj ipl -lci ipl.lct -log ipl.imp -err automake.err -tti ipl.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci ipl.lct -blifopt  ipl.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" ipl.bl2 -sweep -mergefb -err automake.err -o ipl.bl3  @ipl.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci ipl.lct -dev mach4a -diofft  ipl.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" ipl.bl3 -pla -family amdmach -idev van -o ipl.tt2 -oxrf ipl.xrf -err automake.err  @ipl.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/tt2tott3\" -prj ipl -dir $proj_dir -log ipl.log -tti ipl.tt2 -tto ipl.tt3"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci ipl.lct -dev mach4a -prefit  ipl.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -inp ipl.tt3 -out ipl.tt4 -err automake.err -log ipl.log -percent ipl.tte -mod gc_ipl  @ipl.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blif2eqn\" ipl.tte -o ipl.eq3 -use_short -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/lci2vci\" -lci ipl.lct -out ipl.vct -log ipl.l2v"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open ipl.rsp w} rspFile] {
	puts stderr "Cannot create response file ipl.rsp: $rspFile"
} else {
	puts $rspFile "-inp \"ipl.tt4\" -vci \"ipl.vct\" -log \"ipl.log\" -eqn \"ipl.eq3\" -dev mach447a -dat \"$install_dir/ispcpld/dat/mach4a/\" -msg \"$install_dir/ispcpld/dat/\" -err automake.err -tmv \"noinput.tmv\" 
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/machfitr\" \"@ipl.rsp\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete ipl.rsp
if [runCmd "\"$cpld_bin/lci2vci\" -vci ipl.vco -out ipl.lco -log ipl.v2l"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj ipl -if ipl.jed -j2s -log ipl.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/28/04 00:18:02 ###########


########## Tcl recorder starts at 12/28/04 02:38:45 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ipl.vhd -o ipl.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/28/04 02:38:45 ###########


########## Tcl recorder starts at 12/28/04 02:38:51 ##########

# Commands to make the Process: 
# JEDEC File
if [catch {open gc_ipl.rs1 w} rspFile] {
	puts stderr "Cannot create response file gc_ipl.rs1: $rspFile"
} else {
	puts $rspFile "{ipl.vhd} gc_ipl.edi -output_format EDIF -target mach4 -logfile gc_ipl.log -area
-product=ls1
"
	close $rspFile
}
if [runCmd "\"$install_dir/spectrum/bin/win32/spectrum\" -command_file gc_ipl.rs1"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/edif2blf\" -edf gc_ipl.edi -out gc_ipl.bl0 -err automake.err -log gc_ipl.log -prj ipl -lib \"$install_dir/ispcpld/dat/mach.edn\" -sym_vcc vcc -sym_gnd gnd -nbx -cvt yes -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" gc_ipl.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"gc_ipl.bl1\" -o \"ipl.bl2\" -omod \"ipl\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj ipl -lci ipl.lct -log ipl.imp -err automake.err -tti ipl.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci ipl.lct -blifopt  ipl.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" ipl.bl2 -sweep -mergefb -err automake.err -o ipl.bl3  @ipl.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci ipl.lct -dev mach4a -diofft  ipl.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" ipl.bl3 -pla -family amdmach -idev van -o ipl.tt2 -oxrf ipl.xrf -err automake.err  @ipl.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/tt2tott3\" -prj ipl -dir $proj_dir -log ipl.log -tti ipl.tt2 -tto ipl.tt3"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci ipl.lct -dev mach4a -prefit  ipl.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -inp ipl.tt3 -out ipl.tt4 -err automake.err -log ipl.log -percent ipl.tte -mod gc_ipl  @ipl.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blif2eqn\" ipl.tte -o ipl.eq3 -use_short -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/lci2vci\" -lci ipl.lct -out ipl.vct -log ipl.l2v"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open ipl.rsp w} rspFile] {
	puts stderr "Cannot create response file ipl.rsp: $rspFile"
} else {
	puts $rspFile "-inp \"ipl.tt4\" -vci \"ipl.vct\" -log \"ipl.log\" -eqn \"ipl.eq3\" -dev mach447a -dat \"$install_dir/ispcpld/dat/mach4a/\" -msg \"$install_dir/ispcpld/dat/\" -err automake.err -tmv \"noinput.tmv\" 
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/machfitr\" \"@ipl.rsp\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete ipl.rsp
if [runCmd "\"$cpld_bin/lci2vci\" -vci ipl.vco -out ipl.lco -log ipl.v2l"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj ipl -if ipl.jed -j2s -log ipl.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/28/04 02:38:51 ###########


########## Tcl recorder starts at 12/28/04 03:18:03 ##########

# Commands to make the Process: 
# Constraint Editor
# - none -
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-src ipl.tt4 -type PLA -devfile \"$install_dir/ispcpld/dat/mach4a/mach447ace.dev\" -lci \"ipl.lct\" -touch \"ipl.tt4\"
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/28/04 03:18:03 ###########


########## Tcl recorder starts at 12/28/04 03:21:42 ##########

# Commands to make the Process: 
# Optimization Constraint
# - none -
# Application to view the Process: 
# Optimization Constraint
if [catch {open opt_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file opt_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-global -lci ipl.lct -touch ipl.imp
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/optedit\" @opt_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/28/04 03:21:42 ###########


########## Tcl recorder starts at 12/28/04 03:28:35 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ipl.vhd -o ipl.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/28/04 03:28:35 ###########


########## Tcl recorder starts at 12/28/04 03:28:40 ##########

# Commands to make the Process: 
# Constraint Editor
if [catch {open gc_ipl.rs1 w} rspFile] {
	puts stderr "Cannot create response file gc_ipl.rs1: $rspFile"
} else {
	puts $rspFile "{ipl.vhd} gc_ipl.edi -output_format EDIF -target mach4 -logfile gc_ipl.log -area
-product=ls1
"
	close $rspFile
}
if [runCmd "\"$install_dir/spectrum/bin/win32/spectrum\" -command_file gc_ipl.rs1"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/edif2blf\" -edf gc_ipl.edi -out gc_ipl.bl0 -err automake.err -log gc_ipl.log -prj ipl -lib \"$install_dir/ispcpld/dat/mach.edn\" -sym_vcc vcc -sym_gnd gnd -nbx -cvt yes -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" gc_ipl.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"gc_ipl.bl1\" -o \"ipl.bl2\" -omod \"ipl\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj ipl -lci ipl.lct -log ipl.imp -err automake.err -tti ipl.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci ipl.lct -blifopt  ipl.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" ipl.bl2 -sweep -mergefb -err automake.err -o ipl.bl3  @ipl.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci ipl.lct -dev mach4a -diofft  ipl.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" ipl.bl3 -pla -family amdmach -idev van -o ipl.tt2 -oxrf ipl.xrf -err automake.err  @ipl.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/tt2tott3\" -prj ipl -dir $proj_dir -log ipl.log -tti ipl.tt2 -tto ipl.tt3"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci ipl.lct -dev mach4a -prefit  ipl.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -inp ipl.tt3 -out ipl.tt4 -err automake.err -log ipl.log -percent ipl.tte -mod gc_ipl  @ipl.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-src ipl.tt4 -type PLA -devfile \"$install_dir/ispcpld/dat/mach4a/mach447ace.dev\" -lci \"ipl.lct\" -touch \"ipl.tt4\"
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/28/04 03:28:40 ###########


########## Tcl recorder starts at 12/28/04 03:32:03 ##########

# Commands to make the Process: 
# Constraint Editor
# - none -
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-src ipl.tt4 -type PLA -devfile \"$install_dir/ispcpld/dat/mach4a/mach447ace.dev\" -lci \"ipl.lct\" -touch \"ipl.tt4\"
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/28/04 03:32:03 ###########


########## Tcl recorder starts at 12/28/04 03:33:39 ##########

# Commands to make the Process: 
# JEDEC File
if [runCmd "\"$cpld_bin/blif2eqn\" ipl.tte -o ipl.eq3 -use_short -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/lci2vci\" -lci ipl.lct -out ipl.vct -log ipl.l2v"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open ipl.rsp w} rspFile] {
	puts stderr "Cannot create response file ipl.rsp: $rspFile"
} else {
	puts $rspFile "-inp \"ipl.tt4\" -vci \"ipl.vct\" -log \"ipl.log\" -eqn \"ipl.eq3\" -dev mach447a -dat \"$install_dir/ispcpld/dat/mach4a/\" -msg \"$install_dir/ispcpld/dat/\" -err automake.err -tmv \"noinput.tmv\" 
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/machfitr\" \"@ipl.rsp\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete ipl.rsp
if [runCmd "\"$cpld_bin/lci2vci\" -vci ipl.vco -out ipl.lco -log ipl.v2l"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj ipl -if ipl.jed -j2s -log ipl.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/28/04 03:33:39 ###########


########## Tcl recorder starts at 12/28/04 03:44:46 ##########

# Commands to make the Process: 
# Constraint Editor
# - none -
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-src ipl.tt4 -type PLA -devfile \"$install_dir/ispcpld/dat/mach4a/mach447ace.dev\" -lci \"ipl.lct\" -touch \"ipl.tt4\"
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/28/04 03:44:46 ###########


########## Tcl recorder starts at 12/28/04 13:29:21 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ipl.vhd -o ipl.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/28/04 13:29:21 ###########


########## Tcl recorder starts at 12/28/04 13:29:27 ##########

# Commands to make the Process: 
# JEDEC File
if [catch {open gc_ipl.rs1 w} rspFile] {
	puts stderr "Cannot create response file gc_ipl.rs1: $rspFile"
} else {
	puts $rspFile "{ipl.vhd} gc_ipl.edi -output_format EDIF -target mach4 -logfile gc_ipl.log -area
-product=ls1
"
	close $rspFile
}
if [runCmd "\"$install_dir/spectrum/bin/win32/spectrum\" -command_file gc_ipl.rs1"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/edif2blf\" -edf gc_ipl.edi -out gc_ipl.bl0 -err automake.err -log gc_ipl.log -prj ipl -lib \"$install_dir/ispcpld/dat/mach.edn\" -sym_vcc vcc -sym_gnd gnd -nbx -cvt yes -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" gc_ipl.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"gc_ipl.bl1\" -o \"ipl.bl2\" -omod \"ipl\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj ipl -lci ipl.lct -log ipl.imp -err automake.err -tti ipl.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci ipl.lct -blifopt  ipl.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" ipl.bl2 -sweep -mergefb -err automake.err -o ipl.bl3  @ipl.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci ipl.lct -dev mach4a -diofft  ipl.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" ipl.bl3 -pla -family amdmach -idev van -o ipl.tt2 -oxrf ipl.xrf -err automake.err  @ipl.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/tt2tott3\" -prj ipl -dir $proj_dir -log ipl.log -tti ipl.tt2 -tto ipl.tt3"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci ipl.lct -dev mach4a -prefit  ipl.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -inp ipl.tt3 -out ipl.tt4 -err automake.err -log ipl.log -percent ipl.tte -mod gc_ipl  @ipl.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blif2eqn\" ipl.tte -o ipl.eq3 -use_short -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/lci2vci\" -lci ipl.lct -out ipl.vct -log ipl.l2v"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open ipl.rsp w} rspFile] {
	puts stderr "Cannot create response file ipl.rsp: $rspFile"
} else {
	puts $rspFile "-inp \"ipl.tt4\" -vci \"ipl.vct\" -log \"ipl.log\" -eqn \"ipl.eq3\" -dev mach447a -dat \"$install_dir/ispcpld/dat/mach4a/\" -msg \"$install_dir/ispcpld/dat/\" -err automake.err -tmv \"noinput.tmv\" 
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/machfitr\" \"@ipl.rsp\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete ipl.rsp
if [runCmd "\"$cpld_bin/lci2vci\" -vci ipl.vco -out ipl.lco -log ipl.v2l"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj ipl -if ipl.jed -j2s -log ipl.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/28/04 13:29:27 ###########


########## Tcl recorder starts at 12/28/04 13:29:47 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ipl.vhd -o ipl.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/28/04 13:29:48 ###########


########## Tcl recorder starts at 12/28/04 13:29:55 ##########

# Commands to make the Process: 
# JEDEC File
if [catch {open gc_ipl.rs1 w} rspFile] {
	puts stderr "Cannot create response file gc_ipl.rs1: $rspFile"
} else {
	puts $rspFile "{ipl.vhd} gc_ipl.edi -output_format EDIF -target mach4 -logfile gc_ipl.log -area
-product=ls1
"
	close $rspFile
}
if [runCmd "\"$install_dir/spectrum/bin/win32/spectrum\" -command_file gc_ipl.rs1"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/edif2blf\" -edf gc_ipl.edi -out gc_ipl.bl0 -err automake.err -log gc_ipl.log -prj ipl -lib \"$install_dir/ispcpld/dat/mach.edn\" -sym_vcc vcc -sym_gnd gnd -nbx -cvt yes -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" gc_ipl.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"gc_ipl.bl1\" -o \"ipl.bl2\" -omod \"ipl\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj ipl -lci ipl.lct -log ipl.imp -err automake.err -tti ipl.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci ipl.lct -blifopt  ipl.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" ipl.bl2 -sweep -mergefb -err automake.err -o ipl.bl3  @ipl.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci ipl.lct -dev mach4a -diofft  ipl.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" ipl.bl3 -pla -family amdmach -idev van -o ipl.tt2 -oxrf ipl.xrf -err automake.err  @ipl.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/tt2tott3\" -prj ipl -dir $proj_dir -log ipl.log -tti ipl.tt2 -tto ipl.tt3"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci ipl.lct -dev mach4a -prefit  ipl.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -inp ipl.tt3 -out ipl.tt4 -err automake.err -log ipl.log -percent ipl.tte -mod gc_ipl  @ipl.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blif2eqn\" ipl.tte -o ipl.eq3 -use_short -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/lci2vci\" -lci ipl.lct -out ipl.vct -log ipl.l2v"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open ipl.rsp w} rspFile] {
	puts stderr "Cannot create response file ipl.rsp: $rspFile"
} else {
	puts $rspFile "-inp \"ipl.tt4\" -vci \"ipl.vct\" -log \"ipl.log\" -eqn \"ipl.eq3\" -dev mach447a -dat \"$install_dir/ispcpld/dat/mach4a/\" -msg \"$install_dir/ispcpld/dat/\" -err automake.err -tmv \"noinput.tmv\" 
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/machfitr\" \"@ipl.rsp\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete ipl.rsp
if [runCmd "\"$cpld_bin/lci2vci\" -vci ipl.vco -out ipl.lco -log ipl.v2l"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj ipl -if ipl.jed -j2s -log ipl.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/28/04 13:29:55 ###########


########## Tcl recorder starts at 12/28/04 13:32:28 ##########

# Commands to make the Process: 
# Constraint Editor
# - none -
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-src ipl.tt4 -type PLA -devfile \"$install_dir/ispcpld/dat/mach4a/mach447ace.dev\" -lci \"ipl.lct\" -touch \"ipl.tt4\"
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/28/04 13:32:28 ###########


########## Tcl recorder starts at 12/28/04 13:37:16 ##########

# Commands to make the Process: 
# JEDEC File
if [runCmd "\"$cpld_bin/blif2eqn\" ipl.tte -o ipl.eq3 -use_short -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/lci2vci\" -lci ipl.lct -out ipl.vct -log ipl.l2v"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open ipl.rsp w} rspFile] {
	puts stderr "Cannot create response file ipl.rsp: $rspFile"
} else {
	puts $rspFile "-inp \"ipl.tt4\" -vci \"ipl.vct\" -log \"ipl.log\" -eqn \"ipl.eq3\" -dev mach447a -dat \"$install_dir/ispcpld/dat/mach4a/\" -msg \"$install_dir/ispcpld/dat/\" -err automake.err -tmv \"noinput.tmv\" 
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/machfitr\" \"@ipl.rsp\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete ipl.rsp
if [runCmd "\"$cpld_bin/lci2vci\" -vci ipl.vco -out ipl.lco -log ipl.v2l"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj ipl -if ipl.jed -j2s -log ipl.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/28/04 13:37:16 ###########


########## Tcl recorder starts at 12/28/04 15:06:18 ##########

# Commands to make the Process: 
# Constraint Editor
# - none -
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-src ipl.tt4 -type PLA -devfile \"$install_dir/ispcpld/dat/mach4a/mach447ace.dev\" -lci \"ipl.lct\" -touch \"ipl.tt4\"
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/28/04 15:06:18 ###########


########## Tcl recorder starts at 12/28/04 15:06:53 ##########

# Commands to make the Process: 
# Constraint Editor
# - none -
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-src ipl.tt4 -type PLA -devfile \"$install_dir/ispcpld/dat/mach4a/mach447ace.dev\" -lci \"ipl.lct\" -touch \"ipl.tt4\"
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/28/04 15:06:53 ###########


########## Tcl recorder starts at 12/28/04 15:07:49 ##########

# Commands to make the Process: 
# JEDEC File
if [runCmd "\"$cpld_bin/blif2eqn\" ipl.tte -o ipl.eq3 -use_short -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/lci2vci\" -lci ipl.lct -out ipl.vct -log ipl.l2v"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open ipl.rsp w} rspFile] {
	puts stderr "Cannot create response file ipl.rsp: $rspFile"
} else {
	puts $rspFile "-inp \"ipl.tt4\" -vci \"ipl.vct\" -log \"ipl.log\" -eqn \"ipl.eq3\" -dev mach447a -dat \"$install_dir/ispcpld/dat/mach4a/\" -msg \"$install_dir/ispcpld/dat/\" -err automake.err -tmv \"noinput.tmv\" 
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/machfitr\" \"@ipl.rsp\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete ipl.rsp
if [runCmd "\"$cpld_bin/lci2vci\" -vci ipl.vco -out ipl.lco -log ipl.v2l"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj ipl -if ipl.jed -j2s -log ipl.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/28/04 15:07:49 ###########


########## Tcl recorder starts at 12/28/04 16:33:06 ##########

set version "4.2"
set proj_dir "C:/gamecube/ipl_serial"
cd $proj_dir

# Get directory paths
set pver $version
regsub -all {\.} $pver {_} pver
set lscfile "lsc_"
append lscfile $pver ".ini"
set lsvini_dir [lindex [array get env LSC_INI_PATH] 1]
set lsvini_path [file join $lsvini_dir $lscfile]
if {[catch {set fid [open $lsvini_path]} msg]} {
	 puts "File Open Error: $lsvini_path"
	 return false
} else {set data [read $fid]; close $fid }
foreach line [split $data '\n'] { 
	set lline [string tolower $line]
	set lline [string trim $lline]
	if {[string compare $lline "\[paths\]"] == 0} { set path 1; continue}
	if {$path && [regexp {^\[} $lline]} {set path 0; break}
	if {$path && [regexp {^bin} $lline]} {set cpld_bin $line; continue}
	if {$path && [regexp {^fpgapath} $lline]} {set fpga_dir $line}}

set cpld_bin [string range $cpld_bin [expr [string first "=" $cpld_bin]+1] end]
regsub -all "\"" $cpld_bin "" cpld_bin
set cpld_bin [file join $cpld_bin]
set install_dir [string range $cpld_bin 0 [expr [string first "ispcpld" $cpld_bin]-2]]
regsub -all "\"" $install_dir "" install_dir
set install_dir [file join $install_dir]
set fpga_dir [string range $fpga_dir [expr [string first "=" $fpga_dir]+1] end]
regsub -all "\"" $fpga_dir "" fpga_dir
set fpga_dir [file join $fpga_dir]

switch $tcl_platform(platform) {
   windows {
      set fpga_bin [file join $fpga_dir "bin" "nt"]
	     if {[string match "*$fpga_bin;*" $env(PATH)] == 0 } {
	        set env(PATH) "$fpga_bin;$env(PATH)" } }
   unix {
      set fpga_bin [file join $fpga_dir "bin" "sol"]
      if {[string match "*$fpga_bin;*" $env(PATH)] == 0 } {
         set env(PATH) "$fpga_bin;$env(PATH)"}}}

if {[string match "*$cpld_bin;*" $env(PATH)] == 0 } {
   set env(PATH) "$cpld_bin;$env(PATH)" }

lappend auto_path [file join $install_dir "ispcpld" "tcltk" "lib" "ispwidget" "runproc"]
package require runcmd

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ipl.vhd -o ipl.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/28/04 16:33:07 ###########


########## Tcl recorder starts at 12/28/04 16:33:13 ##########

# Commands to make the Process: 
# Optimization Constraint
if [catch {open gc_ipl.rs1 w} rspFile] {
	puts stderr "Cannot create response file gc_ipl.rs1: $rspFile"
} else {
	puts $rspFile "{ipl.vhd} gc_ipl.edi -output_format EDIF -target mach4 -logfile gc_ipl.log -area
-product=ls1
"
	close $rspFile
}
if [runCmd "\"$install_dir/spectrum/bin/win32/spectrum\" -command_file gc_ipl.rs1"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/edif2blf\" -edf gc_ipl.edi -out gc_ipl.bl0 -err automake.err -log gc_ipl.log -prj ipl -lib \"$install_dir/ispcpld/dat/mach.edn\" -sym_vcc vcc -sym_gnd gnd -nbx -cvt yes -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" gc_ipl.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"gc_ipl.bl1\" -o \"ipl.bl2\" -omod \"ipl\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj ipl -lci ipl.lct -log ipl.imp -err automake.err -tti ipl.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Optimization Constraint
if [catch {open opt_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file opt_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-global -lci ipl.lct -touch ipl.imp
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/optedit\" @opt_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/28/04 16:33:13 ###########


########## Tcl recorder starts at 12/28/04 16:33:29 ##########

# Commands to make the Process: 
# Constraint Editor
if [runCmd "\"$cpld_bin/abelvci\" -vci ipl.lct -blifopt  ipl.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" ipl.bl2 -sweep -mergefb -err automake.err -o ipl.bl3  @ipl.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci ipl.lct -dev mach4a -diofft  ipl.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" ipl.bl3 -pla -family amdmach -idev van -o ipl.tt2 -oxrf ipl.xrf -err automake.err  @ipl.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/tt2tott3\" -prj ipl -dir $proj_dir -log ipl.log -tti ipl.tt2 -tto ipl.tt3"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci ipl.lct -dev mach4a -prefit  ipl.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -inp ipl.tt3 -out ipl.tt4 -err automake.err -log ipl.log -percent ipl.tte -mod gc_ipl  @ipl.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-src ipl.tt4 -type PLA -devfile \"$install_dir/ispcpld/dat/mach4a/mach447ace.dev\" -lci \"ipl.lct\" -touch \"ipl.tt4\"
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/28/04 16:33:29 ###########


########## Tcl recorder starts at 12/28/04 16:33:49 ##########

# Commands to make the Process: 
# Constraint Editor
# - none -
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-src ipl.tt4 -type PLA -devfile \"$install_dir/ispcpld/dat/mach4a/mach447ace.dev\" -lci \"ipl.lct\" -touch \"ipl.tt4\"
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/28/04 16:33:49 ###########


########## Tcl recorder starts at 12/28/04 16:34:53 ##########

# Commands to make the Process: 
# JEDEC File
if [runCmd "\"$cpld_bin/blif2eqn\" ipl.tte -o ipl.eq3 -use_short -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/lci2vci\" -lci ipl.lct -out ipl.vct -log ipl.l2v"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open ipl.rsp w} rspFile] {
	puts stderr "Cannot create response file ipl.rsp: $rspFile"
} else {
	puts $rspFile "-inp \"ipl.tt4\" -vci \"ipl.vct\" -log \"ipl.log\" -eqn \"ipl.eq3\" -dev mach447a -dat \"$install_dir/ispcpld/dat/mach4a/\" -msg \"$install_dir/ispcpld/dat/\" -err automake.err -tmv \"noinput.tmv\" 
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/machfitr\" \"@ipl.rsp\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete ipl.rsp
if [runCmd "\"$cpld_bin/lci2vci\" -vci ipl.vco -out ipl.lco -log ipl.v2l"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj ipl -if ipl.jed -j2s -log ipl.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/28/04 16:34:53 ###########


########## Tcl recorder starts at 12/28/04 17:03:57 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ipl.vhd -o ipl.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/28/04 17:03:57 ###########


########## Tcl recorder starts at 12/28/04 17:04:02 ##########

# Commands to make the Process: 
# JEDEC File
if [catch {open gc_ipl.rs1 w} rspFile] {
	puts stderr "Cannot create response file gc_ipl.rs1: $rspFile"
} else {
	puts $rspFile "{ipl.vhd} gc_ipl.edi -output_format EDIF -target mach4 -logfile gc_ipl.log -area
-product=ls1
"
	close $rspFile
}
if [runCmd "\"$install_dir/spectrum/bin/win32/spectrum\" -command_file gc_ipl.rs1"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/edif2blf\" -edf gc_ipl.edi -out gc_ipl.bl0 -err automake.err -log gc_ipl.log -prj ipl -lib \"$install_dir/ispcpld/dat/mach.edn\" -sym_vcc vcc -sym_gnd gnd -nbx -cvt yes -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" gc_ipl.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"gc_ipl.bl1\" -o \"ipl.bl2\" -omod \"ipl\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj ipl -lci ipl.lct -log ipl.imp -err automake.err -tti ipl.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci ipl.lct -blifopt  ipl.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" ipl.bl2 -sweep -mergefb -err automake.err -o ipl.bl3  @ipl.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci ipl.lct -dev mach4a -diofft  ipl.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" ipl.bl3 -pla -family amdmach -idev van -o ipl.tt2 -oxrf ipl.xrf -err automake.err  @ipl.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/tt2tott3\" -prj ipl -dir $proj_dir -log ipl.log -tti ipl.tt2 -tto ipl.tt3"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci ipl.lct -dev mach4a -prefit  ipl.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -inp ipl.tt3 -out ipl.tt4 -err automake.err -log ipl.log -percent ipl.tte -mod gc_ipl  @ipl.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blif2eqn\" ipl.tte -o ipl.eq3 -use_short -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/lci2vci\" -lci ipl.lct -out ipl.vct -log ipl.l2v"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open ipl.rsp w} rspFile] {
	puts stderr "Cannot create response file ipl.rsp: $rspFile"
} else {
	puts $rspFile "-inp \"ipl.tt4\" -vci \"ipl.vct\" -log \"ipl.log\" -eqn \"ipl.eq3\" -dev mach447a -dat \"$install_dir/ispcpld/dat/mach4a/\" -msg \"$install_dir/ispcpld/dat/\" -err automake.err -tmv \"noinput.tmv\" 
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/machfitr\" \"@ipl.rsp\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete ipl.rsp
if [runCmd "\"$cpld_bin/lci2vci\" -vci ipl.vco -out ipl.lco -log ipl.v2l"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj ipl -if ipl.jed -j2s -log ipl.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/28/04 17:04:02 ###########


########## Tcl recorder starts at 12/28/04 17:05:22 ##########

# Commands to make the Process: 
# Constraint Editor
# - none -
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-src ipl.tt4 -type PLA -devfile \"$install_dir/ispcpld/dat/mach4a/mach447ace.dev\" -lci \"ipl.lct\" -touch \"ipl.tt4\"
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/28/04 17:05:22 ###########


########## Tcl recorder starts at 12/28/04 17:11:20 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ipl.vhd -o ipl.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/28/04 17:11:20 ###########


########## Tcl recorder starts at 12/28/04 17:11:23 ##########

# Commands to make the Process: 
# JEDEC File
if [catch {open gc_ipl.rs1 w} rspFile] {
	puts stderr "Cannot create response file gc_ipl.rs1: $rspFile"
} else {
	puts $rspFile "{ipl.vhd} gc_ipl.edi -output_format EDIF -target mach4 -logfile gc_ipl.log -area
-product=ls1
"
	close $rspFile
}
if [runCmd "\"$install_dir/spectrum/bin/win32/spectrum\" -command_file gc_ipl.rs1"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/edif2blf\" -edf gc_ipl.edi -out gc_ipl.bl0 -err automake.err -log gc_ipl.log -prj ipl -lib \"$install_dir/ispcpld/dat/mach.edn\" -sym_vcc vcc -sym_gnd gnd -nbx -cvt yes -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" gc_ipl.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"gc_ipl.bl1\" -o \"ipl.bl2\" -omod \"ipl\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj ipl -lci ipl.lct -log ipl.imp -err automake.err -tti ipl.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci ipl.lct -blifopt  ipl.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" ipl.bl2 -sweep -mergefb -err automake.err -o ipl.bl3  @ipl.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci ipl.lct -dev mach4a -diofft  ipl.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" ipl.bl3 -pla -family amdmach -idev van -o ipl.tt2 -oxrf ipl.xrf -err automake.err  @ipl.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/tt2tott3\" -prj ipl -dir $proj_dir -log ipl.log -tti ipl.tt2 -tto ipl.tt3"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci ipl.lct -dev mach4a -prefit  ipl.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -inp ipl.tt3 -out ipl.tt4 -err automake.err -log ipl.log -percent ipl.tte -mod gc_ipl  @ipl.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blif2eqn\" ipl.tte -o ipl.eq3 -use_short -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/lci2vci\" -lci ipl.lct -out ipl.vct -log ipl.l2v"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open ipl.rsp w} rspFile] {
	puts stderr "Cannot create response file ipl.rsp: $rspFile"
} else {
	puts $rspFile "-inp \"ipl.tt4\" -vci \"ipl.vct\" -log \"ipl.log\" -eqn \"ipl.eq3\" -dev mach447a -dat \"$install_dir/ispcpld/dat/mach4a/\" -msg \"$install_dir/ispcpld/dat/\" -err automake.err -tmv \"noinput.tmv\" 
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/machfitr\" \"@ipl.rsp\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete ipl.rsp
if [runCmd "\"$cpld_bin/lci2vci\" -vci ipl.vco -out ipl.lco -log ipl.v2l"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj ipl -if ipl.jed -j2s -log ipl.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/28/04 17:11:23 ###########


########## Tcl recorder starts at 12/28/04 17:24:39 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ipl.vhd -o ipl.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/28/04 17:24:39 ###########


########## Tcl recorder starts at 12/28/04 17:30:10 ##########

# Commands to make the Process: 
# JEDEC File
if [catch {open gc_ipl.rs1 w} rspFile] {
	puts stderr "Cannot create response file gc_ipl.rs1: $rspFile"
} else {
	puts $rspFile "{ipl.vhd} gc_ipl.edi -output_format EDIF -target mach4 -logfile gc_ipl.log -area
-product=ls1
"
	close $rspFile
}
if [runCmd "\"$install_dir/spectrum/bin/win32/spectrum\" -command_file gc_ipl.rs1"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/edif2blf\" -edf gc_ipl.edi -out gc_ipl.bl0 -err automake.err -log gc_ipl.log -prj ipl -lib \"$install_dir/ispcpld/dat/mach.edn\" -sym_vcc vcc -sym_gnd gnd -nbx -cvt yes -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" gc_ipl.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"gc_ipl.bl1\" -o \"ipl.bl2\" -omod \"ipl\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj ipl -lci ipl.lct -log ipl.imp -err automake.err -tti ipl.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci ipl.lct -blifopt  ipl.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" ipl.bl2 -sweep -mergefb -err automake.err -o ipl.bl3  @ipl.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci ipl.lct -dev mach4a -diofft  ipl.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" ipl.bl3 -pla -family amdmach -idev van -o ipl.tt2 -oxrf ipl.xrf -err automake.err  @ipl.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/tt2tott3\" -prj ipl -dir $proj_dir -log ipl.log -tti ipl.tt2 -tto ipl.tt3"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci ipl.lct -dev mach4a -prefit  ipl.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -inp ipl.tt3 -out ipl.tt4 -err automake.err -log ipl.log -percent ipl.tte -mod gc_ipl  @ipl.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blif2eqn\" ipl.tte -o ipl.eq3 -use_short -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/lci2vci\" -lci ipl.lct -out ipl.vct -log ipl.l2v"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open ipl.rsp w} rspFile] {
	puts stderr "Cannot create response file ipl.rsp: $rspFile"
} else {
	puts $rspFile "-inp \"ipl.tt4\" -vci \"ipl.vct\" -log \"ipl.log\" -eqn \"ipl.eq3\" -dev mach447a -dat \"$install_dir/ispcpld/dat/mach4a/\" -msg \"$install_dir/ispcpld/dat/\" -err automake.err -tmv \"noinput.tmv\" 
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/machfitr\" \"@ipl.rsp\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete ipl.rsp
if [runCmd "\"$cpld_bin/lci2vci\" -vci ipl.vco -out ipl.lco -log ipl.v2l"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj ipl -if ipl.jed -j2s -log ipl.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/28/04 17:30:10 ###########


########## Tcl recorder starts at 12/28/04 17:30:28 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ipl.vhd -o ipl.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/28/04 17:30:28 ###########


########## Tcl recorder starts at 12/28/04 17:30:46 ##########

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" ipl.vhd -o ipl.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/28/04 17:30:46 ###########


########## Tcl recorder starts at 12/28/04 17:30:54 ##########

# Commands to make the Process: 
# JEDEC File
if [catch {open gc_ipl.rs1 w} rspFile] {
	puts stderr "Cannot create response file gc_ipl.rs1: $rspFile"
} else {
	puts $rspFile "{ipl.vhd} gc_ipl.edi -output_format EDIF -target mach4 -logfile gc_ipl.log -area
-product=ls1
"
	close $rspFile
}
if [runCmd "\"$install_dir/spectrum/bin/win32/spectrum\" -command_file gc_ipl.rs1"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/edif2blf\" -edf gc_ipl.edi -out gc_ipl.bl0 -err automake.err -log gc_ipl.log -prj ipl -lib \"$install_dir/ispcpld/dat/mach.edn\" -sym_vcc vcc -sym_gnd gnd -nbx -cvt yes -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" gc_ipl.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"gc_ipl.bl1\" -o \"ipl.bl2\" -omod \"ipl\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj ipl -lci ipl.lct -log ipl.imp -err automake.err -tti ipl.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci ipl.lct -blifopt  ipl.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" ipl.bl2 -sweep -mergefb -err automake.err -o ipl.bl3  @ipl.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci ipl.lct -dev mach4a -diofft  ipl.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" ipl.bl3 -pla -family amdmach -idev van -o ipl.tt2 -oxrf ipl.xrf -err automake.err  @ipl.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/tt2tott3\" -prj ipl -dir $proj_dir -log ipl.log -tti ipl.tt2 -tto ipl.tt3"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci ipl.lct -dev mach4a -prefit  ipl.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -inp ipl.tt3 -out ipl.tt4 -err automake.err -log ipl.log -percent ipl.tte -mod gc_ipl  @ipl.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blif2eqn\" ipl.tte -o ipl.eq3 -use_short -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/lci2vci\" -lci ipl.lct -out ipl.vct -log ipl.l2v"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open ipl.rsp w} rspFile] {
	puts stderr "Cannot create response file ipl.rsp: $rspFile"
} else {
	puts $rspFile "-inp \"ipl.tt4\" -vci \"ipl.vct\" -log \"ipl.log\" -eqn \"ipl.eq3\" -dev mach447a -dat \"$install_dir/ispcpld/dat/mach4a/\" -msg \"$install_dir/ispcpld/dat/\" -err automake.err -tmv \"noinput.tmv\" 
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/machfitr\" \"@ipl.rsp\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete ipl.rsp
if [runCmd "\"$cpld_bin/lci2vci\" -vci ipl.vco -out ipl.lco -log ipl.v2l"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj ipl -if ipl.jed -j2s -log ipl.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/28/04 17:30:54 ###########


########## Tcl recorder starts at 12/28/04 17:31:37 ##########

# Commands to make the Process: 
# JEDEC File
if [runCmd "\"$cpld_bin/blif2eqn\" ipl.tte -o ipl.eq3 -use_short -err automake.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/lci2vci\" -lci ipl.lct -out ipl.vct -log ipl.l2v"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [catch {open ipl.rsp w} rspFile] {
	puts stderr "Cannot create response file ipl.rsp: $rspFile"
} else {
	puts $rspFile "-inp \"ipl.tt4\" -vci \"ipl.vct\" -log \"ipl.log\" -eqn \"ipl.eq3\" -dev mach447a -dat \"$install_dir/ispcpld/dat/mach4a/\" -msg \"$install_dir/ispcpld/dat/\" -err automake.err -tmv \"noinput.tmv\" 
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/machfitr\" \"@ipl.rsp\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete ipl.rsp
if [runCmd "\"$cpld_bin/lci2vci\" -vci ipl.vco -out ipl.lco -log ipl.v2l"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj ipl -if ipl.jed -j2s -log ipl.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 12/28/04 17:31:37 ###########

